## org.eclipse.emf.compare.diff.metamodel
Interface ResourceDependencyChangeLeftTarget

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ResourceDependencyChange, ResourceDiff

All Known Implementing Classes:
  ResourceDependencyChangeLeftTargetImpl

    public interface ResourceDependencyChangeLeftTarget

extends ResourceDependencyChange

A representation of the model object ' Resource Dependency Change Left Target'. A "LeftTarget" element change describes a difference involving the left ResourceSet. These differences can be used to describe additions or remote removals of third-party resources dependencies.

See Also:
  `DiffPackage.getResourceDependencyChangeLeftTarget()`

Method Summary

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.ResourceDependencyChange
`getRoots`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2006 IBM Corporation and others. All Rights Reserved.